<?php 
function busca_cliente($idvenda){
  include "conexao.php";

  $query_amigo = "SELECT * FROM venda where idvenda = $idvenda";
  $executa_query = mysqli_query ($db,$query_amigo);

  while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
  {
    $idcliente              = $buscar_amigo["cliente_idcliente"];

}
return $idcliente;
}



function pegaSequenciaR($idvenda){
  $maior = 1;
  include "conexao.php";

  $query_amigo = "SELECT numero_sequencia  FROM parcelas WHERE numero_sequencia LIKE '%R%' AND venda_idvenda = '$idvenda' ORDER BY numero_sequencia DESC ";

  $executa_query = mysqli_query($db, $query_amigo);

  while($busca_amigo = mysqli_fetch_assoc($executa_query)){

    $pega_sequencia = $busca_amigo['numero_sequencia'];

    if($pega_sequencia  == ''){
          
          $proxima_sequencia = 1;

     return $proxima_sequencia;

          }else{


    $sequencia = explode("-", $pega_sequencia);

    $proxima_sequencia = $sequencia[0];


    $proxima_sequencia = (int) substr($proxima_sequencia, 1);

    if($proxima_sequencia > $maior){
     $maior = $proxima_sequencia;
     
     //echo "Maior e .: " . $maior;

     }

  }
}

     //echo "SEQUENCIA ATUAL É " . $maior;

$maior++;

     //echo "PROXIMA SEQUENCIA É.:" . $maior; die();

return $maior;


}



function busca_parcelas($idparcela){
  include "conexao.php";

  $query_amigo = "SELECT numero_sequencia FROM parcelas where idparcelas = $idparcela";

   //echo $query_amigo; die();

  $executa_query = mysqli_query ($db,$query_amigo);

  while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
  {
    $n_sequencia            = $buscar_amigo["numero_sequencia"];

}
    //echo $n_sequencia; die();

return $n_sequencia;


}



include "conexao.php";
$num_seq = array();
$venda_id = $_GET["venda_id"];

$sequencia_n = pegaSequenciaR($venda_id);


$empreendimento_id = $_GET["empreendimento_id"];

$query_amigo = "SELECT * FROM venda_renegociacao where venda_id = $venda_id order by idvenda_renegociacao desc limit 1";
$executa_query = mysqli_query ($db,$query_amigo);

while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
{
  $idvenda_renegociacao = $buscar_amigo["idvenda_renegociacao"];
  $entrada              = $buscar_amigo["entrada"];
  $total_parcelas       = $buscar_amigo["total_parcelas"];
  $vencimento_primeira  = $buscar_amigo["vencimento_primeira"];
  $vencimento_restante  = $buscar_amigo["vencimento_restante"];
  $valor_parcela        = $buscar_amigo["valor_parcela"];
  $feito_por            = $buscar_amigo["feito_por"];
  $periodo              = $buscar_amigo["periodo"];
}

$cliente_id_novo = busca_cliente($venda_id);
$lancamento = date('d-m-Y');



$query_ren = "SELECT * FROM venda_ren_par where venda_ren_id = $idvenda_renegociacao";
$executa_ren = mysqli_query ($db,$query_ren);


while ($buscar_ren = mysqli_fetch_assoc($executa_ren))
{
  $parcela_id = $buscar_ren["parcela_id"];


  $seq_num = busca_parcelas($parcela_id);

  $car = "|";

  $pos = strpos( $seq_num, $car );

  if($pos == false){

    $arr = explode("/", $seq_num);
    array_push($num_seq, $arr[0]);
    $setarray = 0;

}else{

    $arr = explode("|", $seq_num);
    $setarray = 1;

}



$inserir = ("UPDATE parcelas set     

    fluxo         = '6',
    obs_estorno   = 'RENEGOCIACAO DE CONTRATO',
    estornado_por = '$feito_por' 

    WHERE idparcelas = $parcela_id");

$executa_query = mysqli_query ($db, $inserir);



}

if($setarray == 0){

  $impl = implode("/", $num_seq);
}else {

  array_push($num_seq, $arr[1]);
  $transf = $arr[0];  
  $arr1 = explode("-", $transf);

  $tec = $arr1[0];

  $tec =  substr($tec, 1);

  $impl = "R$tec-" . implode("", $num_seq);
    //$impl = "$arr1[0]-" . implode("", $num_seq);
}




//}



if($entrada != ''){


  $entrada_ren = mysqli_query($db,"INSERT INTO parcelas (

    venda_idvenda,
    valor_parcelas,
    data_vencimento_parcela,
    situacao,
    descricao,
    tipo_venda,
    centrocusto_id,
    fluxo,
    empreendimento_id_novo,
    cliente_id_novo,
    data_lancamento_sistema,
    lancamento_por,
    numero_sequencia)

    values (
    '$venda_id',
    '$entrada',
    '$vencimento_primeira',
    'Em Aberto',
    'Primeira Entrada',
    '2',
    '2',
    '0',
    '$empreendimento_id',
    '$cliente_id_novo',
    '$lancamento',
    '$feito_por',
    'R$sequencia_n-Ent-1'
    )


    ");


}


if($periodo == 'semanal'){
  $h = 7;
  $d = 1;
  $per = ' days';

}
if($periodo == 'mensal'){
  $h = 1;
  $d = 1;
  $per = 'month';
}

if($periodo == 'quinzenal'){
  $h = 15;
  $d = 1;

  $per = ' days';
}

if($periodo == 'trimestral'){
  $h = 90;
  $d = 1;
  $per = ' days';
}



for($i=0; $i <= ($total_parcelas - 1); $i++){



  if($entrada != ''){

   if($i == 0){

     $vencimento = $vencimento_restante;
     $cont = $i + 1;

}
else{


    $per_passa =  '+'.(($d) * $h) .$per;
   // echo $per_passa . "<br>";

    $vencimento =  date('d-m-Y', strtotime($per_passa,strtotime($vencimento_restante)));

    $cont = $i + 1;
    $d++;
}




}else{

 if($i == 0){

  $vencimento = $vencimento_primeira;
  $cont = $i + 1;


}elseif($i == 1){

  $vencimento = $vencimento_restante;
  $cont = $i + 1;

}else{

  $per_passa =  '+'.(($d) * $h) .$per;
  //echo $per_passa . "<br>";

  $vencimento =  date('d-m-Y', strtotime($per_passa,strtotime($vencimento_restante)));

  $cont = $i + 1;
  $d++;      

}


}













//echo "<br> vai pro INSERT ". $vencimento . "<br>";


$inserir2 = mysqli_query($db,"INSERT INTO parcelas (

  venda_idvenda,
  valor_parcelas,
  data_vencimento_parcela,
  situacao,
  descricao,
  tipo_venda,
  centrocusto_id,
  fluxo,
  empreendimento_id_novo,
  cliente_id_novo,
  data_lancamento_sistema,
  lancamento_por,
  numero_sequencia)

  values (
  '$venda_id',
  '$valor_parcela',
  '$vencimento',
  'Em Aberto',
  'Financiamento',
  '2',
  '2',
  '0',
  '$empreendimento_id',
  '$cliente_id_novo',
  '$lancamento',
  '$feito_por',
  'R$sequencia_n-$cont/$total_parcelas| $impl'
  )


  ");





}



$atualiza_status = mysqli_query($db,"UPDATE venda_renegociacao set status = 1 WHERE venda_id = '$venda_id'");

?>

<script type="text/javascript">
  window.location="empreendimentos.php";
</script>